Bug 2035949 - log4j-2.17.1 is available
Summary: log4j-2.17.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4j
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-28 18:52 UTC by Upstream Release Monitoring
Modified: 2022-01-06 01:11 UTC (History)
5 users (show)

Fixed In Version: log4j-2.17.1-1.fc34 log4j-2.17.1-1.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-06 00:51:24 UTC
Type: ---


Attachments (Terms of Use)
Update to 2.17.1 (#2035949) (981 bytes, patch)
2021-12-28 18:52 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-12-28 18:52:04 UTC
Latest upstream release: 2.17.1
Current version/release in rawhide: 2.17.0-1.fc36
URL: http://www.apache.org/dist/logging/log4j

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1836/

Comment 1 Upstream Release Monitoring 2021-12-28 18:52:12 UTC
Created attachment 1848115 [details]
Update to 2.17.1 (#2035949)

Comment 2 Upstream Release Monitoring 2021-12-28 18:56:03 UTC
the-new-hotness/release-monitoring.org's scratch build of log4j-2.17.1-1.fc34.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=80578862

Comment 3 Fedora Update System 2021-12-28 21:42:56 UTC
FEDORA-2021-c6f471ce0f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c6f471ce0f

Comment 4 Fedora Update System 2021-12-28 22:19:49 UTC
FEDORA-2021-1bd9151bab has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1bd9151bab

Comment 5 Fedora Update System 2021-12-29 01:04:02 UTC
FEDORA-2021-1bd9151bab has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1bd9151bab`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1bd9151bab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-12-29 01:12:48 UTC
FEDORA-2021-c6f471ce0f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c6f471ce0f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c6f471ce0f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-01-06 00:51:24 UTC
FEDORA-2021-1bd9151bab has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-01-06 01:11:38 UTC
FEDORA-2021-c6f471ce0f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.